OpenTTD: CargoArray Struct Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
CargoArray Struct Reference

Class for storing amounts of cargo. More...

`#include <cargo_type.h>`

## Public Member Functions
| CargoArray ()
| Default constructor.
void | Clear ()
| Reset all entries.
uint & | operator[] (CargoID cargo)
| Read/write access to an amount of a specific cargo type.
const uint & | operator[] (CargoID cargo) const
| Read-only access to an amount of a specific cargo type.
template<typename T >
const T | GetSum () const
| Get the sum of all cargo amounts.
byte | GetCount () const
| Get the amount of cargos that have an amount.

## Private Attributes
uint | amount [NUM_CARGO]
| Amount of each type of cargo.

## Detailed Description

Class for storing amounts of cargo.

Definition at line 74 of file cargo_type.h.

## Constructor & Destructor Documentation

CargoArray::CargoArray | ( |  | ) |
| inline

Default constructor.

Definition at line 80 of file cargo_type.h.

References Clear().

## Member Function Documentation

void CargoArray::Clear | ( |  | ) |
| inline

Reset all entries.

Definition at line 86 of file cargo_type.h.

References amount.

Referenced by CargoArray(), and GetArticulatedVehicleCargoesAndRefits().

byte CargoArray::GetCount | ( |  | ) | const
| inline

Get the amount of cargos that have an amount.

Returns
  The amount.

Definition at line 127 of file cargo_type.h.

References amount, and lengthof.

Referenced by UpdateCompanyRatingAndValue().

template<typename T >

const T CargoArray::GetSum | ( |  | ) | const
| inline

Get the sum of all cargo amounts.

Returns
  The sum.

Definition at line 114 of file cargo_type.h.

References amount, and lengthof.

Referenced by GetTotalCapacityOfArticulatedParts(), ServerNetworkAdminSocketHandler::SendCompanyEconomy(), and UpdateCompanyRatingAndValue().

uint& CargoArray::operator[] | ( | CargoID | cargo | ) |
| inline

Read/write access to an amount of a specific cargo type.

Parameters

  cargo | Cargo type to access.

Definition at line 95 of file cargo_type.h.

References amount.

const uint& CargoArray::operator[] | ( | CargoID | cargo | ) | const
| inline

Read-only access to an amount of a specific cargo type.

Parameters

  cargo | Cargo type to access.

Definition at line 104 of file cargo_type.h.

References amount.

The documentation for this struct was generated from the following file:

- src/cargo_type.h